<!doctype html>
<html lang="de">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Recipe Generator</title>
    <link rel="stylesheet" href="styles.css" />
    <!-- Verknüpfung mit CSS-Datei -->
  </head>
  <body>
    <h1>Recipe Generator</h1>

    <div class="container">
      <!-- Linke Seite -->
      <div class="left-side">
        <h2>Generated Recipe</h2>
        <!-- Platz für die generierten Rezepte -->
        <div id="recipe-results">
          <h3 id="recipe-name"></h3>
          <h4>Zutaten:</h4>
          <ul id="recipe-ingredients"></ul>
          <h4>Zubereitung:</h4>
          <ol id="recipe-instructions"></ol>
        </div>
        <div id="output"></div>
        <button id="fetch-button">Rezept generieren</button>

        <script>
          document
            .getElementById("fetch-button")
            .addEventListener("click", async () => {
              const outputDiv = document.getElementById("output");
              outputDiv.textContent = "Loading...";

              try {
                const response = await fetch("/api/openai");
                const data = await response.json();

                if (response.ok) {
                  const recipe = JSON.parse(data.message);

                  document.getElementById("recipe-name").textContent =
                    recipe.name;

                  const ingredientsList =
                    document.getElementById("recipe-ingredients");
                  ingredientsList.innerHTML = "";
                  recipe.ingredients.forEach((ingredient) => {
                    const li = document.createElement("li");
                    li.textContent = ingredient;
                    ingredientsList.appendChild(li);
                  });

                  const instructionsList = document.getElementById(
                    "recipe-instructions",
                  );
                  instructionsList.innerHTML = "";
                  recipe.instruction.split(". ").forEach((step) => {
                    const li = document.createElement("li");
                    li.textContent = step;
                    instructionsList.appendChild(li);
                  });

                  outputDiv.textContent = "";
                } else {
                  outputDiv.textContent = "Error: " + data.error;
                }
              } catch (error) {
                outputDiv.textContent = "Fetch error: " + error.message;
              }
            });
        </script>
      </div>

      <!-- Rechte Seite -->
      <div class="right-side">
        <h2>Choose Ingredients</h2>
        <!-- Container für die Buttons -->
        <div class="button-container">
          <!-- Beispiel-Buttons für Zutaten -->
          <button class="ingredient-button" data-ingredient="tomato">
            Tomaten
          </button>
          <button class="ingredient-button" data-ingredient="onion">
            Zwiebeln
          </button>
          <button class="ingredient-button" data-ingredient="cheese">
            Käse
          </button>
          <button class="ingredient-button" data-ingredient="pepper">
            Praprika
          </button>
          <button class="ingredient-button" data-ingredient="garlic">
            Knoblauch
          </button>
          <button class="ingredient-button" data-ingredient="olive">
            Oliven
          </button>
          <button class="ingredient-button" data-ingredient="salt">Salz</button>
          <!-- Weitere Buttons für andere Zutaten -->
          <button class="ingredient-button" data-ingredient="mushroom">
            Champinion
          </button>
          <button class="ingredient-button" data-ingredient="chicken">
            Hühnerfleisch
          </button>
          <button class="ingredient-button" data-ingredient="carrot">
            Karroten
          </button>
          <button class="ingredient-button" data-ingredient="potato">
            Kartoffeln
          </button>
          <button class="ingredient-button" data-ingredient="spinach">
            Spinat
          </button>
          <button class="ingredient-button" data-ingredient="broccoli">
            Broccoli
          </button>
          <button class="ingredient-button" data-ingredient="beef">
            Rindfleisch
          </button>
        </div>
      </div>
    </div>

    <!-- Optional: JavaScript-Datei für Frontend-Logik -->
    <script src="script.js"></script>
  </body>
</html>
